import Locator from '../services/Locator';
import Activity from './Activity';

/** Removes all persisted game data from storage. */
export default class ClearStorage extends Activity
{
    constructor()
    {
        super('ClearStorage');
    }

    override async execute(): Promise<void>
    {
        const storage = Locator.storage as { clear: () => void };

        storage.clear();
    }
}
